Support Article

Permission denied error when initiating the update

SA-39146

Summary



An error occurs when trying to run update.sh almost immediately after launching it, with Pega 7.2.2 preventing the application from being upgraded.


Error Messages



your_server[your_user]->./update.sh./update.sh: line 39: ./bin/ant: Permission denied
Ant Process returned a non 0 value


Steps to Reproduce

  1. Configure setupDatabase.properties.
  2. Run the update.sh script.


Root Cause



A defect or configuration issue in the operating environment.

The user running the script does not have the correct permissions to run the update script.


Resolution



Make the following change to the operating environment:

​Give the user running the script full permissions to the top level Pega media directory and all the subdirectories and files.

Published June 8, 2017 - Updated August 7, 2017

Have a question? Get answers now.

Visit the Collaboration Center to ask questions, engage in discussions, share ideas, and help others.